/**
 * @file TreeItem 扩展，增加了对父子的引用和 change 事件
 * @author weijiaxun <weijiaxun@baidu.com>
 */
import * as vscode from 'vscode';
import { UpdatePayload } from './VSCTreeItem';
export default class ExtendedTreeItem {
    value: vscode.TreeItem;
    children: ExtendedTreeItem[];
    parent: ExtendedTreeItem | null;
    private _onDidChange;
    readonly onDidChange: vscode.Event<ExtendedTreeItem>;
    constructor(value: vscode.TreeItem);
    appendChild(element: ExtendedTreeItem): void;
    removeChild(element: ExtendedTreeItem): void;
    insertBefore(element: ExtendedTreeItem, beforeElement: ExtendedTreeItem): void;
    update(props: UpdatePayload[]): void;
}
//# sourceMappingURL=ExtendedTreeItem.d.ts.map