/**
 * @file 基于 reconciler 的 tree view 工厂
 * @author weijiaxun <weijiaxun@baidu.com>
 */
import * as vscode from 'vscode';
declare const ReactTreeView: {
    render(whatToRender: any, viewId: any, { devtools }?: {
        devtools?: boolean | undefined;
    }): vscode.TreeView<import("./ExtendedTreeItem").default>;
};
export { default as TreeItem } from './TreeItem';
export { default as ExtendedTreeItem } from './ExtendedTreeItem';
export default ReactTreeView;
//# sourceMappingURL=index.d.ts.map